//+------------------------------------------------------------------+
//|                                                 LoopTemplate.mq4 |
//|                                                    Candid, 2010. |
//|                                          http://candid.110mb.com |
//+------------------------------------------------------------------+
string ScriptName = "LoopTemplate";

#property show_inputs

extern int Delay = 500;

int CurY;
string SwPart1Name;
string SwPart2Name;

//+------------------------------------------------------------------+
void SetWingdingsLabel(string LabelName, string Code, int Corner, int X, int Y, color Color, int Size) {
  ObjectCreate(LabelName,OBJ_LABEL,0,0,0);
  ObjectSet(LabelName,OBJPROP_CORNER,Corner);
  ObjectSet(LabelName,OBJPROP_XDISTANCE,X);
  ObjectSet(LabelName,OBJPROP_YDISTANCE,Y);
  ObjectSetText(LabelName,Code,Size,"Wingdings",Color); 
  return;
}
//+------------------------------------------------------------------+
int init() {
  CurY = 10;
  SwPart1Name = ScriptName + "SwPart1";
  SetWingdingsLabel(SwPart1Name,"\xA4",1,10,30,Red,16);
  SwPart2Name = ScriptName + "SwPart2";
  SetWingdingsLabel(SwPart2Name,"\x48",1,14,CurY,Red,16);
  return (0);
}
//+------------------------------------------------------------------+
int deinit() {
  ObjectDelete(SwPart1Name);
  while (ObjectFind(SwPart2Name) >= 0) ObjectDelete(SwPart2Name);
  WindowRedraw();
  return (0);
}
//+------------------------------------------------------------------+
//| script                                                           |
//+------------------------------------------------------------------+
int start() {
  WindowRedraw();

  while (CurY == 10) {
//      

    Sleep(100);
    CurY = ObjectGet(SwPart2Name,OBJPROP_YDISTANCE);
  }

  Sleep(Delay);
  return (0);
}  